Re: [code] [textadept] syntax error question

From: Mitchell <m.att.foicica.com>
Date: Thu, 3 Sep 2015 08:00:44 -0400 (EDT)

Hi Giovanni,

On Thu, 3 Sep 2015, Giovanni Salmeri wrote:

>>> I've installed Textadept 8.2, and when saving a Python3.4 file, I'm
>>> getting a "SyntaxError: invalid syntax" under "yield from iter
>>> (sel)". Although the code runs fine.
>
> I have a similar problem. In a .lua file with (for example)
>
> a = '\u{0387}'
>
> I am getting a message "invalid escape sequence near \u", as it were a
> version of Lua < 5.3.

Textadept is using 'luac', which probably points to a version of Lua on
your system that is 5.1 or 5.2. Try using:

   textadept.run.syntax_commands.lua = 'luac5.3 -p "%f"'

Cheers,
Mitchell

-- 
You are subscribed to code.att.foicica.com.
To change subscription settings, send an e-mail to code+help.att.foicica.com.
To unsubscribe, send an e-mail to code+unsubscribe.att.foicica.com.
Received on Thu 03 Sep 2015 - 08:00:44 EDT

This archive was generated by hypermail 2.2.0 : Fri 04 Sep 2015 - 06:27:38 EDT